Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.drivers.scrolling
Interface ScrollAdjuster

All Known Implementing Classes:
  JSpinnerOperator.NumberScrollAdjuster, JSpinnerOperator.ListScrollAdjuster, JSpinnerOperator.DateScrollAdjuster, JSpinnerOperator.ObjectScrollAdjuster

public interface ScrollAdjuster

Specifies scrolling criteria.

Author:
  Alexandre Iline(alexandre.iline@sun.com)

Field Summary
`static int` | `DECREASE_SCROLL_DIRECTION` Decrease scroll direction.
`static int` | `DO_NOT_TOUCH_SCROLL_DIRECTION` Specifies that necessary value has been reached..
`static int` | `INCREASE_SCROLL_DIRECTION` Increase scroll direction.

Method Summary
`java.lang.String` | `getDescription()` Returns a printable scrolling description.
`int` | `getScrollDirection()` Returns scroll direction to reach necessary scroller value.
`int` | `getScrollOrientation()` Returns scrolling orientation.

Field Detail

### INCREASE_SCROLL_DIRECTION

    public static final int INCREASE_SCROLL_DIRECTION

  Increase scroll direction.

### DECREASE_SCROLL_DIRECTION

    public static final int DECREASE_SCROLL_DIRECTION

  Decrease scroll direction.

### DO_NOT_TOUCH_SCROLL_DIRECTION

    public static final int DO_NOT_TOUCH_SCROLL_DIRECTION

  Specifies that necessary value has been reached..

Method Detail

### getScrollDirection

    public int getScrollDirection()

  Returns scroll direction to reach necessary scroller value.
  Returns:
    one of the values: INCREASE_SCROLL_DIRECTION, DECREASE_SCROLL_DIRECTION or DO_NOT_TOUCH_SCROLL_DIRECTION.

### getScrollOrientation

    public int getScrollOrientation()

  Returns scrolling orientation.
  Returns:
    one of the values: Adjustable.HORIZONTAL or Adjustable.VERTICAL.

### getDescription

    public java.lang.String getDescription()

  Returns a printable scrolling description.
  Returns:
    a description.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD